build-jobs:
  stage: build
  script:
    - echo "Hello $GITLAB_USER_LOGIN!"

test-jobs:
  stage: test
  script:
    - echo "This job tests something"

test-jobs2:
  stage: test
  script:
    - echo "This job tests something but takes a little longer than the first one"
    - echo "After all the echo commands complete, it runs the sleep command for 20s which simulated a test that run for 20s"
    - sleep 20

deploy-prod:
  stage: deploy
  script:
    - echo "This job deploys something from the $CI_COMMIT_BRANCH branch"
  environment: production
